# norootforbuild
%define pkg_name    haru
%define pkg_version 1.0.3
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-haru
Version:	%{pkg_version}
Release:	2.6
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel libhpdf-devel gcc gcc-c++ zlib-devel libpng-devel
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	Creating PDF on the fly with the haru PDF library

%description
These functions allow you to create PDF documents using the Haru Free PDF Library.
			
Authors:
---------

		Antony Dovgal 

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-haru=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable pdf extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/haru.ini
echo "extension = haru.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/haru.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/haru.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/haru.ini

%doc CREDITS

%changelog
* Sun Feb  5 2012 cs@linux-administrator.com
- update to version 1.0.3
